(function () {
    var multipleData = null;
    var page = {
        grid: null,
        init: function ($page) {
            page.grid = $page.find('#lr_Ask_list').lrpagination({
                lclass: page.lclass,
                rows: 10,                            // 每页行数 
                getData: function (param, callback) {// 获取数据 param 分页参数,callback 异步回调 
                    param.multipleData = multipleData;
                    page.loadData(param, callback, $page);
                },
                renderData: function (_index, _item, _$item) {// 渲染数据模板 
                    return page.rowRender(_index, _item, _$item, $page);
                },
                click: function (item, $item, $et) {// 列表行点击事件 
                    if ($et.hasClass('lr-btn-success')) {
                        page.btnClick(item, $item, $page);
                    }
                    else {
                        page.rowClick(item, $item, $page);
                    }
                }
                //btns: page.rowBtns
            });
        },
        lclass: 'lr-list',
        loadData: function (param, callback, $page) {// 列表加载后台数据 
            var _postParam = {
                pagination: {
                    rows: param.rows,
                    page: param.page
                },
                queryJson: '{}'
            };
            if (param.multipleData) {
                _postParam.queryJson = JSON.stringify(multipleData);
            }
            learun.httpget(config.webapi + '/learun/ask/studentlist', _postParam, (data) => {
                $page.find('.lr-badge').text('0');
                if (data) {
                    $page.find('.lr-badge').text(data.records);
                    callback(data.rows, parseInt(data.records));
                }
                else {
                    callback([], 0);
                }
            });
        },
        rowRender: function (_index, _item, _$item, $page) {// 渲染列表行数据 
            _$item.addClass('lr-list-item lr-list-item-multi');
            _$item.append($('<p class="lr-ellipsis"><span>问卷编号:</span></p>').dataFormatter({ value: _item.VSerial }));
            _$item.append($('<p class="lr-ellipsis"><span>标题:</span></p>').dataFormatter({ value: _item.VTitle }));
            _$item.append($('<p class="lr-ellipsis"><span>开始时间:</span></p>').dataFormatter({ value: _item.VStartTime }));
            _$item.append($('<p class="lr-ellipsis"><span>结束时间:</span></p>').dataFormatter({ value: _item.VStopTime }));
            _$item.append($('<p class="lr-ellipsis"><span>考核学年:</span></p>').dataFormatter({ value: _item.AcademicYearNo }));
            _$item.append($('<p class="lr-ellipsis"><span>考核学期:</span></p>').dataFormatter({ value: _item.Semester }));
            _$item.append($('<p class="lr-ellipsis"><span>考核评分:</span></p>').dataFormatter({ value: _item.TotalScore }));
            _$item.append($('<p class="lr-ellipsis"><span>提交时间:</span></p>').dataFormatter({ value: _item.CreateDate }));
            _$item.append($('<p class="lr-ellipsis"><span>是否交卷:</span></p>').dataFormatter({ value: (_item.IsAnswer != undefined && _item.IsAnswer ===true) ? "已交" : "未交" }));
            return '';
        },
        rowClick: function (item, $item, $page) {// 列表行点击触发方法 
            if (item.IsAnswer === true || item.IsAnswer==='true') {
                learun.layer.warning("当前项目已交卷！");
                return;
            }
            learun.nav.go({ path: 'Ask/AskPaper', title: '开始答卷', type: 'right', param: { VID: item.VID} });
        },
        btnClick: function (item, $item, $page) {// 左滑按钮点击事件 
            if (item.IsAnswer === false || item.IsAnswer === 'false') {
                learun.layer.warning("当前项目未交卷！");
                return;
            }
            learun.nav.go({ path: 'Ask/AskPaper', title: '查看答卷', type: 'right', param: { VID: item.VID, StuNo: item.StuNo } });
        },
        rowBtns: ['<a class="lr-btn-success">查看</a>'] // 列表行左滑按钮 
    };
    return page;
})(); 